### Function

# Fwupd build_machine_id

since: 1.0.4

#### Declaration [src]

    gchar*
    fwupd_build_machine_id (
      const gchar* salt,
      GError** error
    )

#### Description [src]

Gets a salted hash of the /etc/machine-id contents. This can be used to identify a specific machine. It is not possible to recover the original machine-id from the machine-hash.

Available since: 1.0.4

#### Parameters

`salt`

  Type: `const gchar*`

  Optional salt.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

The SHA256 machine hash, or `NULL` if the ID is not present.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.